/****************************************************************************************************

		HierarchyPublicDefs.h
		Copyright: (c) 2001 Eovia Corp. All rights reserved.

		Author:	Arnaud
		Date:	4/18/2003

****************************************************************************************************/

#ifndef __HierarchyPublicDefs__
#define __HierarchyPublicDefs__

//Node IDs (Keep ordered as kHierarchyTreeNodeID, kHierarchyTreeNodeID+1, kHierarchyTreeNodeID+2)
#define kHierarchyTreeNodeID		15002		//Node ID of the part that displays the scene's hierarchy
#define kObjectsPartNodeID			15003		//Node ID of the part that displays the scene's objects
#define kShadersPartNodeID			15004		//Node ID of the part that displays the scene's shaders
#define kSoundsPartNodeID			15006		//Node ID of the part that displays the scene's sounds
#define kClipsPartNodeID			15008		//Node ID of the part that displays the scene's clips

//Str# IDs and their string indexes:
#define kHierarchyModulePublicStrings	15000
#define kHierModuleInstancesString			1	//keep ordered here too!
#define kHierModuleObjectsString			2
#define kHierModuleShadersString			3	
#define kHierModuleSoundsString				4
#define kHierModuleClipssString				5



#endif
